Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value
Class AbstractColorManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.IdentifierManager
                  org.apache.batik.css.engine.value.AbstractColorManager

All Implemented Interfaces:
  ValueManager

Direct Known Subclasses:
  ColorManager

public abstract class AbstractColorManager
extends IdentifierManager

This class provides a manager for the property with support for CSS color values.

Field Summary
`protected static StringMap` | `computedValues` The computed identifier values.
`protected static StringMap` | `values` The identifier values.

Constructor Summary
`AbstractColorManager()`

Method Summary
`Value` | `computeValue(CSSStylableElement elt, java.lang.String pseudo, CSSEngine engine, int idx, StyleMap sm, Value value)` Implements `ValueManager.computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.
`protected Value` | `createColorComponent(LexicalUnit lu)` Creates a color component from a lexical unit.
`protected Value` | `createRGBColor(Value r, Value g, Value b)` Creates an RGB color.
`Value` | `createValue(LexicalUnit lu, CSSEngine engine)` Implements `ValueManager.createValue(LexicalUnit,CSSEngine)`.
`protected StringMap` | `getIdentifiers()` Implements `IdentifierManager.getIdentifiers()`.

Methods inherited from class org.apache.batik.css.engine.value.IdentifierManager
`createStringValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueManager
`createFloatValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, getPropertyName, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.css.engine.value.ValueManager
`getDefaultValue, getPropertyName, isInheritedProperty`

Field Detail

### values

    protected static final StringMap values

  The identifier values.

### computedValues

    protected static final StringMap computedValues

  The computed identifier values.

Constructor Detail

### AbstractColorManager

    public AbstractColorManager()

Method Detail

### createValue

    public Value createValue(LexicalUnit lu,
                             CSSEngine engine)
                      throws org.w3c.dom.DOMException

  Implements `ValueManager.createValue(LexicalUnit,CSSEngine)`.

  Specified by:
    `createValue` in interface `ValueManager`
  Overrides:
    `createValue` in class `IdentifierManager`
  Throws:
    `org.w3c.dom.DOMException`

### computeValue

    public Value computeValue(CSSStylableElement elt,
                              java.lang.String pseudo,
                              CSSEngine engine,
                              int idx,
                              StyleMap sm,
                              Value value)

  Implements `ValueManager.computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.

  Specified by:
    `computeValue` in interface `ValueManager`
  Overrides:
    `computeValue` in class `AbstractValueManager`

### createRGBColor

    protected Value createRGBColor(Value r,
                                   Value g,
                                   Value b)

  Creates an RGB color.

### createColorComponent

    protected Value createColorComponent(LexicalUnit lu)
                                  throws org.w3c.dom.DOMException

  Creates a color component from a lexical unit.

  Throws:
    `org.w3c.dom.DOMException`

### getIdentifiers

    protected StringMap getIdentifiers()

  Implements `IdentifierManager.getIdentifiers()`.

  Specified by:
    `getIdentifiers` in class `IdentifierManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.